# /usr/local/bin/perl -w
#
# calendar.cgi -- J_[̐ij
#
# sample file name: calendar.cgi

use strict;
use CGI;
use Calendar::Simple;
use CGI::Carp qw(fatalsToBrowser);

my $q = new CGI;                        # create new CGI object
my $mon = shift || (localtime)[4] + 1;
my $yr =  shift || (localtime)[5] + 1900;

print $q->header(-charset=>'EUC-JP'),  # HTTP wb_[̍쐬
     $q->start_html(
       -title =>"J_[F$yrN$mon",
       -lang  =>'ja-JP',
       -charset => 'EUC-JP'),
     $q->table($q->Tr([
             $q->th(['', '', '', '', '', '', 'y', ]),
             map {$q->td(&dateAdjust($_))} calendar($mon, $yr),
          ])),
     $q->end_html;                  # end the HTML

sub dateAdjust {
       [
               map {
                       if (not defined($_)) {
                               '&nbsp;&nbsp;';
                       } elsif ($_ < 10) {
                               '&nbsp;'.$_;
                       } else {
                               $_;
                       }
               } @{(shift)}
       ]
}
