# /usr/local/bin/perl -w
#
# calendarListBox.cgi -- J_[̐iXg{bNXgpj
#
# sample file name: calendarListBox.cgi

use strict;
use CGI;
use CGI::Carp qw(fatalsToBrowser);
use lib "/home/fukazawa/myperl/lib";
use Calendar::Simple;

my $q = new CGI;                        # create new CGI object

my $mon = $q->param("month") || (localtime)[4] + 1;

my $err = '';
my $thisYr  = (localtime)[5] + 1900;
my $yr  = $q->param("year");
if (not defined $yr) {
       $yr = $thisYr;
} elsif ($yr =~ /\D/) {
       $err = "͂ꂽN $yr ܂";
       $yr = $thisYr;
}

print $q->header(-charset=>'EUC-JP'),  # HTTP wb_[̍쐬
     $q->start_html(
       -title =>"J_[F$yrN$mon",
       -lang  =>'ja-JP',
       -charset => 'EUC-JP'),
     $q->table($q->Tr([
             $q->th(['', '', '', '', '', '', 'y', ]),
             map {$q->td(&dateAdjust($_))} calendar($mon, $yr),
          ])),
     $q->start_form,
     $q->textfield(-name=>'year', -default=>$yr, -size=>4),
     'N',
      $q->popup_menu(-name=>'month',-values=>[1..12],-default=>$mon),
     '',
     $q->submit('\'),
     $q->endform,
     $err,
     $q->end_html;                  # end the HTML

sub dateAdjust {
       [
               map {
                       if (not defined($_)) {
                               '&nbsp;&nbsp;';
                       } elsif ($_ < 10) {
                               '&nbsp;'.$_;
                       } else {
                               $_;
                       }
               } @{(shift)}
       ]
}

