#! /usr/local/bin/perl -w
#
# calendarForm.cgi -- ʥեѡ
#
# sample file name: calendarForm.cgi

use strict;
use CGI;
use CGI::Carp qw(fatalsToBrowser);
use lib "/home/supee/myperl/lib";
use Calendar::Simple;

my $q = new CGI;                        # create new CGI object
my $mon = $q->param("month") || (localtime)[4] + 1;
my $yr =  $q->param("year")  || (localtime)[5] + 1900;

print $q->header(-charset=>'EUC-JP'),  # HTTP إåκ
      $q->start_html(
        -title =>"$yrǯ$mon",
        -lang  =>'ja-JP', 
	-charset => 'EUC-JP'),
      $q->table($q->Tr([ 
              $q->th(['', '', '', '', '', '', '', ]), 
              map {$q->td(&dateAdjust($_))} calendar($mon, $yr),
           ])),
      $q->start_form,
      $q->textfield(-name=>'year'),
      'ǯ',
      $q->textfield(-name=>'month'),
      '',
      $q->submit('ɽ'),
      $q->endform,
      $q->end_html;                  # end the HTML

sub dateAdjust {
	[
		map {
			if (not defined($_)) {
				'&nbsp;&nbsp;';
			} elsif ($_ < 10) {
				'&nbsp;'.$_;
			} else {
				$_;
			}
		} @{(shift)}
	]
}
