#! /usr/bin/perl
#
# cgiForm.cgi -- CGIフォームの実験

use strict;
use warnings;
use CGI qw/:standard/;
use CGI::Carp qw/fatalsToBrowser warningsToBrowser/;

print header( -charset => "UTF-8" ),
	start_html("標準体重を計算します："),
	h2("計算したい身長と体重を入れて実行を押してください！"),
	start_form(),
	"身長：", textfield(-name=>"height", -default=>"", -override=>1),
	"体重：", textfield(-name=>"weight", -default=>"", -override=>1),
	submit("実行"),
	endform();

my ($weight, $height, $std_weight, $diff, $eval);
if ($weight = param("weight")) {
	$height = param("height");
	$std_weight = sprintf "%1.3f", ((($height / 100) ** 2) * 22);
	$diff = sprintf "%1.3f", ($weight - $std_weight);
	if ($diff == 0) {
		$eval = "標準体重ぴったりです！";
	} elsif ($diff > 0) {
		$eval = "${diff}kg太りすぎです！";
	} else {
		$diff *= -1;
		$eval = "${diff}kgやせすぎです！";
	}
	
	print hr(),
		h2("身長${height}cm、体重${weight}kgの人は"),
		h2("標準体重が${std_weight}kgです。"),
		h2("$eval");
}

print end_html();
