#! /bin/perl -w
#
# myFind.pl -- Ɣ File::Find  1 
#
# sample file name: myFind.pl

use strict;

my $startDir = (shift or '.');
&MyFind::find(\&foundProc, $startDir);

sub foundProc {
    print "\$_ ==> $_ \n";
    print "\$MyFind::name ==> $MyFind::name \n";
    if (-f $_) {
        print "category: file \n";
    } else {
        print "category: directory \n";
    }
    my $size = -s $_;
    print "size ==> $size \n\n";
}

package MyFind;
sub find {
    my($proc, $dir) = @_;
    chdir $dir;
    our $cwd;
    if (not defined $cwd) {
        $cwd = $dir;
    } else {
        $cwd .= ('/' . $dir);
    }
    opendir my $dh, '.';
    for my $cur (readdir($dh)) {
        next if $cur eq '.' or $cur eq '..';
        $main::_ = $cur;
        our $name = $cwd . '/'. $cur;
        &$proc;
        if (-d $cur) {
            &find($proc, $cur);
            chdir '..';
            $cwd =~ s|/[^/]*$||;
        }
    }
    closedir $dh;
}
