#! /usr/local/bin/perl -w
#
# calendarErrCheck.cgi -- ʥ顼 åͤ
#
# sample file name: calendarErrCheck.cgi

use strict;
use CGI;
use CGI::Carp qw(fatalsToBrowser);
use lib "/home/supee/myperl/lib";
use Calendar::Simple;

my $q = new CGI;                        # create new CGI object

my $thisMon = (localtime)[4] + 1;
my $thisYr  = (localtime)[5] + 1900;

my $mon = $q->param("month");
my $yr  = $q->param("year");

my $err = '';

if (not defined $mon) {
	$mon = $thisMon;
} elsif ($mon =~ /\D/ or $mon < 1 or 12 < $mon) {
	$err .= "Ϥ줿 $mon ޤ";
	$mon = $thisMon;
}

if (not defined $yr) {
	$yr = $thisYr;
} elsif ($yr =~ /\D/) {
	$err .= "<br>Ϥ줿ǯ $yr ޤ";
	$yr = $thisYr;
}

print $q->header(-charset=>'EUC-JP'),  # HTTP إåκ
      $q->start_html(
        -title =>"$yrǯ$mon",
        -lang  =>'ja-JP', 
	-charset => 'EUC-JP'),
      $q->table($q->Tr([ 
              $q->th(['', '', '', '', '', '', '', ]), 
              map {$q->td(&dateAdjust($_))} calendar($mon, $yr),
           ])),
      $q->start_form,
      $q->textfield(-name=>'year', -default=>$yr, -size=>4),
      'ǯ',
      $q->textfield(-name=>'month', -default=>$mon, -size=>2),
      '',
      $q->submit('ɽ'),
      $q->endform,
      $err,
      $q->end_html;                  # end the HTML

sub dateAdjust {
	[
		map {
			if (not defined($_)) {
				'&nbsp;&nbsp;';
			} elsif ($_ < 10) {
				'&nbsp;'.$_;
			} else {
				$_;
			}
		} @{(shift)}
	]
}
